package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsStoreProductReply;
import com.fs.store.vo.FsStoreProductReplyVO;

/**
 * 评论Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreProductReplyService 
{
    /**
     * 查询评论
     * 
     * @param id 评论ID
     * @return 评论
     */
    public FsStoreProductReply selectFsStoreProductReplyById(Long id);

    /**
     * 查询评论列表
     * 
     * @param fsStoreProductReply 评论
     * @return 评论集合
     */
    public List<FsStoreProductReply> selectFsStoreProductReplyList(FsStoreProductReply fsStoreProductReply);

    /**
     * 新增评论
     * 
     * @param fsStoreProductReply 评论
     * @return 结果
     */
    public int insertFsStoreProductReply(FsStoreProductReply fsStoreProductReply);

    /**
     * 修改评论
     * 
     * @param fsStoreProductReply 评论
     * @return 结果
     */
    public int updateFsStoreProductReply(FsStoreProductReply fsStoreProductReply);

    /**
     * 批量删除评论
     * 
     * @param ids 需要删除的评论ID
     * @return 结果
     */
    public int deleteFsStoreProductReplyByIds(Long[] ids);

    /**
     * 删除评论信息
     * 
     * @param id 评论ID
     * @return 结果
     */
    public int deleteFsStoreProductReplyById(Long id);

    List<FsStoreProductReplyVO> selectFsStoreProductReplyListVO(FsStoreProductReply fsStoreProductReply);
}
